<Project Sdk="Microsoft.NET.Sdk.Worker">

    <PropertyGroup>
        <TargetFramework>net472</TargetFramework>
        <LangVersion>9</LangVersion>
        <Nullable>enable</Nullable>
        <Authors>Autolabor</Authors>
        <ImplicitUsings>disable</ImplicitUsings>
        <RootNamespace>Autolabor.Benz.ObstacleDetection</RootNamespace>
        <UserSecretsId>dotnet-BenzObstacleDetect-E0768EF0-F5A4-4FC1-983F-62D3BEA23B87</UserSecretsId>
        <AllowUnsafeBlocks>true</AllowUnsafeBlocks> <!-- 允许 unsafe 代码 -->
    </PropertyGroup>

    <ItemGroup>
        <!-- 微软-主机构建扩展包 -->
        <PackageReference Include="Autolabor.Robobase" Version="0.3.631">
            <ExcludeAssets>contentFiles</ExcludeAssets>
        </PackageReference>
        <PackageReference Include="Autolabor.Robobase.CodeGuard" Version="0.1.24">
          <PrivateAssets>all</PrivateAssets>
          <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
        </PackageReference>
        <PackageReference Include="Autolabor.Robobase.Component" Version="0.2.1827" />
        <PackageReference Include="Autolabor.SerialBase" Version="0.1.239" />
        <PackageReference Include="Microsoft.Extensions.Hosting" Version="9.0.2" />
        <PackageReference Include="System.Security.Permissions" Version="9.0.2" />
    </ItemGroup>
    <ItemGroup>
        <!-- 支持动态类型-->
        <Reference Include="Microsoft.CSharp"/>
    </ItemGroup>
</Project>
